Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Menue

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente
              sum.komponenten.Menue

All Implemented Interfaces:
  Serializable

    public class Menue

extends Textkomponente
implements Serializable

Ein Menue ist die Klasse fuer Java-Menues (Fenster-Menues). Menues reagieren auf einen Mausklick.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Field Summary

Fields inherited from class sum.komponenten.Textkomponente
`zAktuellFont, zSchriftArt, zSchriftGroesse, zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`` | `Menue(String pTitel)` Das Menue mit dem angegebenen Titel wird im Menuebar erzeugt.
`protected` | `Menue(String pTitel, JMenu pObermenu)` Das Menue mit dem angegebenen Titel und Obermenue wird erzeugt.

Method Summary
`void` | `aktiviere()` Das Menue wird aktiviert.
`void` | `aktiviereZeile(int pZeile)` Eine Menuezeile wird aktiviert.
`int` | `breite()` Die Anfrage kann fuer ein Menue nicht angewandt werden und liefert 0.
`void` | `deaktiviere()` Das Menue wird deaktiviert und reagiert nicht mehr.
`void` | `deaktiviereZeile(int pZeile)` Eine Menuezeile wird deaktiviert und reagiert nicht mehr.
`protected void` | `gewaehlt(String pAuftrag)` Das Menue reagiert auf einen Mausklick.
`void` | `haengeTrennungAn()` Eine Trennzeile wird an das Menue angehaengt.
`void` | `haengeZeileAn(String pText, char pZeichen, boolean pMitShift, String pAuftrag)` Eine neue Zeile wird mit einer Beschleunigertaste an das Menue angehaengt.
`void` | `haengeZeileAn(String pText, String pAuftrag)` Eine neue Zeile wird an das Menue angehaengt.
`int` | `hoehe()` Die Anfrage kann fuer ein Menue nicht angewandt werden und liefert 0.
`String` | `inhaltAlsText()` Der Titel des Menues wird als String zurueckgegeben.
`boolean` | `istAktiv()` Es wird zurueckgegeben, ob das Menue aktiviert ist.
`boolean` | `istSichtbar()` Die Anfrage kann fuer ein Menue nicht angewandt werden und liefert true.
`boolean` | `istZeileAktiv(int pZeile)` Es wird zurueckgegeben, ob eine Menuezeile aktiviert ist.
`protected void` | `lerneKomponenteKennen(JComponent pKomponente)`
`int` | `links()` Die Anfrage kann fuer ein Menue nicht angewandt werden und liefert 0.
`Menue` | `neuesUntermenue(String pText)` Ein Untermenue wird an das Menue angehaengt.
`int` | `oben()` Die Anfrage kann fuer ein Menue nicht angewandt werden und liefert 0.
`void` | `setzeBearbeiterFokusErhalten(String pBearbeiter)` Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.
`void` | `setzeBearbeiterFokusVerloren(String pBearbeiter)` Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.
`void` | `setzeBearbeiterGewaehlt(int pZeile, String pAuftrag)` Die Methode zur Bearbeitung des Gewaehlt-Ereignisses für eine Menuezeile in der Ereignisanwendung wird festgelegt.
`void` | `setzeFarbe(Color pFarbe)` Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.
`void` | `setzeFokus()` Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.
`void` | `setzeGroesse(double pBreite, double pHoehe)` Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.
`void` | `setzeInhalt(String pText)` Das Menue erhaelt einen neuen Titel.
`void` | `setzePosition(double pWohinH, double pWohinV)` Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.
`void` | `setzeSchriftArt(String pSchriftart)` Die Schriftart des Menues wird veraendert
`void` | `setzeSchriftFarbe(Color pFarbe)` Die Schriftfarbe des Menues kann nicht veraendert werden.
`void` | `setzeSchriftGroesse(int pGroesse)` Die Schriftgroesse des Menues wird veraendert
`void` | `setzeSchriftstil(int pStil)` Der Schriftstil des Menues wird veraendert
`void` | `setzeSchriftStil(int pStil)` Der Schriftstil des Menues wird veraendert
`void` | `verstecke()` Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.
`void` | `zeige()` Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.
`int` | `zeilenAnzahl()` Die momentane Anzahl der Zeilen des Menues wird abgefragt.

Methods inherited from class sum.komponenten.Textkomponente
`inhaltAlsGanzeZahl, inhaltAlsLangeGanzeZahl, inhaltAlsZahl, inhaltIstGanzeZahl, inhaltIstLangeGanzeZahl, inhaltIstText, inhaltIstZahl, init, schriftfarbe, schriftFarbe, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeSchriftart, setzeSchriftfarbe, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftgroesse`

Methods inherited from class sum.komponenten.Komponente
`besitztFokus, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, init, lerneKomponenteKennen, setzeFarbe, setzeFokusWert, setzeHinweis`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Menue

    public Menue(String pTitel)

  Das Menue mit dem angegebenen Titel wird im Menuebar erzeugt.

  Parameters:
    `pTitel` - der Titel des Menues

### Menue

    protected Menue(String pTitel,
                    JMenu pObermenu)

  Das Menue mit dem angegebenen Titel und Obermenue wird erzeugt. Ist kein Obermenue angegeben, wird es im Menuebar erzeugt.

Method Detail

### aktiviere

    public void aktiviere()

  Das Menue wird aktiviert.

  Overrides:
    `aktiviere` in class `Komponente`

### aktiviereZeile

    public void aktiviereZeile(int pZeile)

  Eine Menuezeile wird aktiviert.

  Parameters:
    `pZeile` - die aktivierte Zeile

### breite

    public int breite()

  Die Anfrage kann fuer ein Menue nicht angewandt werden und liefert 0.

  Overrides:
    `breite` in class `Komponente`
  Returns:
    die Breite der Komponente

### deaktiviere

    public void deaktiviere()

  Das Menue wird deaktiviert und reagiert nicht mehr.

  Overrides:
    `deaktiviere` in class `Komponente`

### deaktiviereZeile

    public void deaktiviereZeile(int pZeile)

  Eine Menuezeile wird deaktiviert und reagiert nicht mehr.

  Parameters:
    `pZeile` - die deaktivierte Zeile

### gewaehlt

    protected void gewaehlt(String pAuftrag)

  Das Menue reagiert auf einen Mausklick.

### haengeTrennungAn

    public void haengeTrennungAn()

  Eine Trennzeile wird an das Menue angehaengt.

### haengeZeileAn

    public void haengeZeileAn(String pText,
                              char pZeichen,
                              boolean pMitShift,
                              String pAuftrag)

  Eine neue Zeile wird mit einer Beschleunigertaste an das Menue angehaengt.

  Parameters:
    `pText` - der Inhalt der Menuezeile
    `pZeichen` - das Beschleunigerzeichen fuer die Menuezeile
    `pMitShift` - bei true wird zwischen Gross- und Kleinschrift des Beschleunigerzeichens unterschieden
    `pAuftrag` - der Name des Dienstes der SuMAnwendung, der durch die Menuezeile aufgerufen wird

### haengeZeileAn

    public void haengeZeileAn(String pText,
                              String pAuftrag)

  Eine neue Zeile wird an das Menue angehaengt.

  Parameters:
    `pText` - der Inhalt der Menuezeile
    `pAuftrag` - der Name des Dienstes der SuMAnwendung, der durch die Menuezeile aufgerufen wird

### hoehe

    public int hoehe()

  Die Anfrage kann fuer ein Menue nicht angewandt werden und liefert 0.

  Overrides:
    `hoehe` in class `Komponente`
  Returns:
    die Hoehe der Komponente

### inhaltAlsText

    public String inhaltAlsText()

  Der Titel des Menues wird als String zurueckgegeben.

  Specified by:
    `inhaltAlsText` in class `Textkomponente`
  Returns:
    der Titel des Menues

### istAktiv

    public boolean istAktiv()

  Es wird zurueckgegeben, ob das Menue aktiviert ist.

  Overrides:
    `istAktiv` in class `Komponente`
  Returns:
    true, wenn das Menue aktiviert ist

### istSichtbar

    public boolean istSichtbar()

  Die Anfrage kann fuer ein Menue nicht angewandt werden und liefert true.

  Overrides:
    `istSichtbar` in class `Komponente`
  Returns:
    true, wenn die Komponente sichtbar ist

### istZeileAktiv

    public boolean istZeileAktiv(int pZeile)

  Es wird zurueckgegeben, ob eine Menuezeile aktiviert ist.

  Parameters:
    `pZeile` - die untersuchte Zeile
  Returns:
    true, wenn die Zeile aktiviert ist

### lerneKomponenteKennen

    protected void lerneKomponenteKennen(JComponent pKomponente)

### links

    public int links()

  Die Anfrage kann fuer ein Menue nicht angewandt werden und liefert 0.

  Overrides:
    `links` in class `Komponente`
  Returns:
    der Abstand der Komponente vom linken Bildschirmrand

### neuesUntermenue

    public Menue neuesUntermenue(String pText)

  Ein Untermenue wird an das Menue angehaengt.

  Parameters:
    `pText` - der Titel des Untermenues
  Returns:
    das neue Untermenue

### oben

    public int oben()

  Die Anfrage kann fuer ein Menue nicht angewandt werden und liefert 0.

  Overrides:
    `oben` in class `Komponente`
  Returns:
    der Abstand der Komponente vom oberen Bildschirmrand

### setzeBearbeiterFokusErhalten

    public void setzeBearbeiterFokusErhalten(String pBearbeiter)

  Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.

  Overrides:
    `setzeBearbeiterFokusErhalten` in class `Komponente`
  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn die Komponente den Fokus erhalten hat.

### setzeBearbeiterFokusVerloren

    public void setzeBearbeiterFokusVerloren(String pBearbeiter)

  Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.

  Overrides:
    `setzeBearbeiterFokusVerloren` in class `Komponente`
  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn die Komponente den Fokus verloren hat.

### setzeBearbeiterGewaehlt

    public void setzeBearbeiterGewaehlt(int pZeile,
                                        String pAuftrag)

  Die Methode zur Bearbeitung des Gewaehlt-Ereignisses für eine Menuezeile in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pZeile` - die Zeile des Menues fuer die der Dienst festgelegt wird
    `pAuftrag` - der Dienst, der mit der Menuezeile aufgerufen wird

### setzeFarbe

    public void setzeFarbe(Color pFarbe)

  Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.

  Overrides:
    `setzeFarbe` in class `Komponente`
  Parameters:
    `pFarbe` - die neue Hintergrundfarbe der Komponente

### setzeFokus

    public void setzeFokus()

  Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.

  Overrides:
    `setzeFokus` in class `Komponente`

### setzeGroesse

    public void setzeGroesse(double pBreite,
                             double pHoehe)

  Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.

  Overrides:
    `setzeGroesse` in class `Komponente`
  Parameters:
    `pBreite` - die neue Breite der Komponente
    `pHoehe` - die neue Hoehe der Komponente

### setzeInhalt

    public void setzeInhalt(String pText)

  Das Menue erhaelt einen neuen Titel.

  Specified by:
    `setzeInhalt` in class `Textkomponente`
  Parameters:
    `pText` - der neue Titel des Menues

### setzePosition

    public void setzePosition(double pWohinH,
                              double pWohinV)

  Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.

  Overrides:
    `setzePosition` in class `Komponente`
  Parameters:
    `pWohinH` - die neue horizontale Position der linken oberen Ecke
    `pWohinV` - die neue vertikale Position der linken oberen Ecke

### setzeSchriftArt

    public void setzeSchriftArt(String pSchriftart)

  Die Schriftart des Menues wird veraendert

  Overrides:
    `setzeSchriftArt` in class `Textkomponente`
  Parameters:
    `pSchriftart` - die neue Schrift des Menues (siehe Klasse Schrift)

### setzeSchriftFarbe

    public void setzeSchriftFarbe(Color pFarbe)

  Die Schriftfarbe des Menues kann nicht veraendert werden. Leerer Dienst.

  Overrides:
    `setzeSchriftFarbe` in class `Textkomponente`
  Parameters:
    `pFarbe` - die neue Schriftfarbe der Komponente

### setzeSchriftGroesse

    public void setzeSchriftGroesse(int pGroesse)

  Die Schriftgroesse des Menues wird veraendert

  Overrides:
    `setzeSchriftGroesse` in class `Textkomponente`
  Parameters:
    `pGroesse` - die neue Groesse der Menueschrift

### setzeSchriftstil

    public void setzeSchriftstil(int pStil)

  Der Schriftstil des Menues wird veraendert

  Overrides:
    `setzeSchriftstil` in class `Textkomponente`
  Parameters:
    `pStil` - der neue Schriftstil des Menues (siehe Klasse Schrift)

### setzeSchriftStil

    public void setzeSchriftStil(int pStil)

  Der Schriftstil des Menues wird veraendert

  Overrides:
    `setzeSchriftStil` in class `Textkomponente`
  Parameters:
    `pStil` - der neue Schriftstil des Menues (siehe Klasse Schrift)

### verstecke

    public void verstecke()

  Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.

  Overrides:
    `verstecke` in class `Komponente`

### zeige

    public void zeige()

  Die Methode kann fuer ein Menue nicht angewandt werden und ist daher leer.

  Overrides:
    `zeige` in class `Komponente`

### zeilenAnzahl

    public int zeilenAnzahl()

  Die momentane Anzahl der Zeilen des Menues wird abgefragt.

  Returns:
    die Anzahl der Zeilen des Menues

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD